package com.yihu.jw.entity.care.course;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/20
 * @Description: 居民饮食记录
 */
@Entity
@Table(name="base_patient_diet_record")
public class PatientDietRecordDO extends UuidIdentityEntityWithCreateTime{

    private String patient;
    /**
     * '托育日志id'
     */
    private String nurseryLogId;
    /**
     * '食用食物json格式'
     */
    private String eatFood;
    /**
     * '食用方式 1喂食 2自主进食
     */
    private String eatType;
    /**
     *'摄入量 全部吃完 吃了1/3 吃了1/2 几乎没吃'
     */
    private String intake;
    /**
     *'附加说明'
     */
    private String additionalNotes;
    /**
     *'附件'
     */
    private String enclosure;
    /**
     * '记录日期'
     */
    private String recordDate;

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "nursery_log_id")
    public String getNurseryLogId() {
        return nurseryLogId;
    }

    public void setNurseryLogId(String nurseryLogId) {
        this.nurseryLogId = nurseryLogId;
    }

    @Column(name = "eat_food")
    public String getEatFood() {
        return eatFood;
    }

    public void setEatFood(String eatFood) {
        this.eatFood = eatFood;
    }

    @Column(name = "eat_type")
    public String getEatType() {
        return eatType;
    }

    public void setEatType(String eatType) {
        this.eatType = eatType;
    }

    @Column(name = "intake")
    public String getIntake() {
        return intake;
    }

    public void setIntake(String intake) {
        this.intake = intake;
    }

    @Column(name = "additional_notes")
    public String getAdditionalNotes() {
        return additionalNotes;
    }

    public void setAdditionalNotes(String additionalNotes) {
        this.additionalNotes = additionalNotes;
    }

    @Column(name = "enclosure")
    public String getEnclosure() {
        return enclosure;
    }

    public void setEnclosure(String enclosure) {
        this.enclosure = enclosure;
    }

    @Column(name = "record_date")
    public String getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(String recordDate) {
        this.recordDate = recordDate;
    }
}
